%define major		0
%define libname		%mklibname ogg %{major}
%define develname	%mklibname ogg -d

Summary:	Ogg Bitstream Library
Name:		libogg
Version:	1.3.5
Release:	%mkrel 3
Group:		System/Libraries
License:	BSD
URL:		https://www.xiph.org/
Source:		https://downloads.xiph.org/releases/ogg/%{name}-%{version}.tar.xz

%description
Libogg is a library for manipulating ogg bitstreams. It handles
both making ogg bitstreams and getting packets from ogg bitstreams.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	libogg-devel = %{version}-%{release}
Obsoletes:	%{mklibname ogg 0 -d}
Obsoletes:	 lib64ogg-static-devel

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q


%build
%configure2_5x --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}%{_docdir}/libogg/

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/ogg
%{_libdir}/*.so
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/*


%changelog
* Sun Oct 23 2022 tex - 1.3.5-3pclos2022
- rebuild against updates

* Thu Aug 05 2021 tex - 1.3.5-2pclos2021
- rebuild against updates

* Thu Aug 05 2021 tex - 1.3.5-1pclos2021
- 1.3.5
